/***************************************************************************
                          audiocd.h  -  description
                             -------------------
    begin                : Fri Mar 9 2001
    copyright            : (C) 2001 by Kai Heitkamp
    email                : koncd@kai-heitkamp.de
 ***************************************************************************/


#ifndef AUDIOCD_H
#define AUDIOCD_H

#include <qwidget.h>
#include <kprocess.h>
#include <audiocd_gui.h>

#include "processoutput.h"

/**
  *@author Kai Heitkamp
  */

class AudioCD : public AudioCD_GUI  {
   Q_OBJECT

public:
	AudioCD(QWidget *parent=0, const char *name=0);
	~AudioCD();

protected:
	ProcessOutput procoutdlg;

protected slots:
	void abort_handler();
	void dragEnterEvent(QDragEnterEvent *);
	void dropEvent(QDropEvent *);
	void slot_start();
	void slot_exit();
	void slot_addTrack();
	void slot_deleteTrack();
	void slot_deleteAllTracks();
	void slotBurnRecStderr(KProcess *, char *, int);
	void slotBurnProcessExited(KProcess *);
	void slot_toggleTaO();
	void slot_toggleDaO();

};

#endif
